commit:     ed2b8988352a13fd8e6b38340f2a7f10bd375059
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  1 17:20:13 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sun Apr  2 08:38:01 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed2b8988

dev-ml/core_bench: Bump to 0.9.0

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-ml/core_bench/Manifest                    |  2 +-
 dev-ml/core_bench/core_bench-0.9.0.ebuild     | 33 +++++++++++++++++
 dev-ml/core_bench/core_bench-113.33.00.ebuild | 51 ---------------------------
 3 files changed, 34 insertions(+), 52 deletions(-)

diff --git a/dev-ml/core_bench/Manifest b/dev-ml/core_bench/Manifest
index 64c0b79611e..f2e8da46819 100644
--- a/dev-ml/core_bench/Manifest
+++ b/dev-ml/core_bench/Manifest
@@ -1 +1 @@
-DIST core_bench-113.33.00.tar.gz 86282 SHA256 
0827610ed452be2475ecfda569c8d6af8cd63f0389dbfbf4e2ab71b1ec043d42 SHA512 
7fb74fa40e0cba803cd7e7028490e652ac8adb23cfe37120e16e94ee77ba4493d7c512219c06c1bc941149c49d9b83f1ba07fd27ff04dad023db91bd5ef70a38
 WHIRLPOOL 
b4f865dfb4fe5e30d3a2c8ed2b734bc21c5a7aabf16fc237ddd54a2dd3a75ad5fec5d2bb692dad01fbe78119992d01937a71db5858021fab82a9578911e85698
+DIST core_bench-0.9.0.tar.gz 43091 SHA256 
af45591500ddd531a84625cae5cb7ef8b7d9abdb99bf0145a5d121f8ce1f78c1 SHA512 
4860143276ca8d7966519435c151923ed0f0767fc9a654e6ba75a777f24aa0a66d1ebc4b5b2f8bbcb20bc8e869220ea0c93ccc9c9b5764fa82ef87c17bec761e
 WHIRLPOOL 
9c2eed4f95807e015c5ebbcf522bd350bff945a26fec4636f6f872eac6a784ae04a4541a0172a5dee12fbf5839c9511badcff9cc2c5318422b3c29e6292154fd

diff --git a/dev-ml/core_bench/core_bench-0.9.0.ebuild 
b/dev-ml/core_bench/core_bench-0.9.0.ebuild
new file mode 100644
index 00000000000..3ef6f650642
--- /dev/null
+++ b/dev-ml/core_bench/core_bench-0.9.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Micro-benchmarking library for OCaml"
+HOMEPAGE="https://github.com/janestreet/core_bench";
+SRC_URI="https://github.com/janestreet/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+       dev-lang/ocaml:=
+       dev-ml/core:=
+       dev-ml/core_extended:=
+       dev-ml/ppx_driver:=
+       dev-ml/ppx_jane:=
+       dev-ml/textutils:=
+       dev-ml/ocaml-migrate-parsetree:=
+       dev-ml/ocaml-re:=
+"
+DEPEND="${RDEPEND} dev-ml/opam dev-ml/jbuilder"
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${ED}/usr/share/doc/${PF}" \
+               ${PN}.install || die
+}

diff --git a/dev-ml/core_bench/core_bench-113.33.00.ebuild 
b/dev-ml/core_bench/core_bench-113.33.00.ebuild
deleted file mode 100644
index 17518a08f74..00000000000
--- a/dev-ml/core_bench/core_bench-113.33.00.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="5"
-
-inherit oasis
-
-DESCRIPTION="Micro-benchmarking library for OCaml"
-HOMEPAGE="https://ocaml.janestreet.com/";
-SRC_URI="http://ocaml.janestreet.com/ocaml-core/${PV%.*}/files/${P}.tar.gz";
-
-LICENSE="Apache-2.0"
-SLOT="0/${PV}"
-KEYWORDS="~amd64"
-IUSE=""
-
-RDEPEND="
-       dev-ml/bin-prot:=
-       dev-ml/core:=
-       dev-ml/core_extended:=
-       dev-ml/fieldslib:=
-       dev-ml/ppx_assert:=
-       dev-ml/ppx_bench:=
-       dev-ml/ppx_driver:=
-       dev-ml/ppx_expect:=
-       dev-ml/ppx_inline_test:=
-       dev-ml/ppx_jane:=
-       dev-ml/sexplib:=
-       dev-ml/textutils:=
-       dev-ml/typerep:=
-       dev-ml/variantslib:=
-"
-DEPEND="${RDEPEND} dev-ml/opam"
-
-src_configure() {
-       emake setup.exe
-       OASIS_SETUP_COMMAND="./setup.exe" oasis_src_configure
-}
-
-src_compile() {
-       emake
-}
-
-src_install() {
-       opam-installer -i \
-               --prefix="${ED}/usr" \
-               --libdir="${D}/$(ocamlc -where)" \
-               --docdir="${ED}/usr/share/doc/${PF}" \
-               ${PN}.install || die
-       dodoc CHANGES.md
-}

Reply via email to